Bug 106180 - memtest86 should install in /boot
memtest86 should install in /boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: memtest86 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-10-03 10:40 EDT by edwinh
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 18:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description edwinh 2003-10-03 10:40:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20030926

Description of problem:
> rpm -ql memtest86-3.0-1
/usr/lib/memtest86/memtest86
/usr/share/doc/memtest86-3.0
/usr/share/doc/memtest86-3.0/README

The executable should go into /boot, not /usr.

If / or /boot is a separate filesystem, the above can't be added to grub without
specifying a different partition just for the memtest section.


Also, maybe a %post that does an auto-magic grub entry like the kernels do would
be nice (although grubby might have to be taught about it.)





Version-Release number of selected component (if applicable):
memtest86-3.0-1

How reproducible:
Always

Steps to Reproduce:
1. install memtest86 rpm with / or /boot being separate
2. try to use :)


Additional info:
Comment 1 Jeremy Katz 2004-04-16 18:07:10 EDT
memtest86+ adds a nice little script for adding it to the grub config.

Note You need to log in before you can comment on or make changes to this bug.